Vivid packages still accepted for PPAs but Wily packages are not

Asked by David Adam

Our script which uploads builds to our PPA has a list of series that it tries, which means that occasionally our builds get rejected when a series goes obsolete and Launchpad starts rejecting our packages. (This is fine!)

At the moment, we try: precise trusty vivid wily xenial yakkety

Today, our wily uploads started getting rejected, but the vivid uploads are still accepted. I see that both are obsolete in https://wiki.ubuntu.com/Releases - is vivid likely to be supported for much longer?

Question information

Language:
English Edit question
Status:
Solved
For:
Launchpad itself Edit question
Assignee:
No assignee Edit question
Solved by:
Colin Watson
Solved:
Last query:
Last reply:
Revision history for this message
Best Colin Watson (cjwatson) said :
#1

vivid is still alive basically because of work around the Ubuntu phone codebase. I understand there are plans to move this forward to xenial, at which point we should be able to obsolete vivid, but we don't have a very precise timescale for that yet.

Revision history for this message
David Adam (zanchey) said :
#2

Thanks!